• Hello there

    I am a wordpress noob so please forgive me if I am asking a silly question, I am not sure where I am going wrong…
    I am trying to install your YITH Essential Kit for WooCommerce #1 1.1.20 plugin but it hangs for a while and then tries to unpack but fails every time I try, the message I get is: Could not create directory. yith-essential-kit-for-woocommerce-1/modules/yith-woocommerce-authorizenet-payment-gateway/assets/images/icons/credit-cards
    It then only gives me the option to go back to the plugins page.

    I am not sure if it will have an effect but I am using Instant WordPress to build my site currently.
    The theme I am running is Retaler.

    Would you be able to tell me why I am unable to proceed, is it something I am doing wrong? Or is it because I am not using a live server? From what I gather it is just the credit card icon the plugin is struggling with?

    Thanx so much for your time and help.

    https://wordpress.org/plugins/yith-essential-kit-for-woocommerce-1/

Viewing 13 replies - 1 through 13 (of 13 total)
  • Plugin Author YITHEMES

    (@yithemes)

    Hi there,

    could be a timeout problem, try to download the plugin from here and unzio the content on wp-content/plugins.

    YITHemes.

    Hey There

    Thanx so much for getting back to me.

    I have downloaded the plugin and unzipped it but now when I want to upload it, I have no idea what file to upload as it won’t allow me to upload the entire folder.

    I am so new to this, my first time building s site on my own.

    I have tried to install the plugin direct from admin again using a wi-fi network and still have the same error.

    Thank you so much for your time and assistance.

    If I try and install the zipped file it takes me to a page that says “are you sure you want to do this?” and only option I have is to click “please try again”.

    Plugin Author YITHEMES

    (@yithemes)

    Hi,

    1) unzip the plugin file
    2) upload the directory yith-essential-kit-for-woocommerce-1 via ftp inside *wp-content/plugins
    3) activate the plugin

    YITHemes

    I have the same problem. Did you found a solution?
    I try to remove the folder from the plugins folder and uploaded the new version again (that usally works fine) but then i can’t use the site anymore.

    Hey @hlourenssen

    Unfortunately I myself did not find the solution for this issue, I had eventually given up until I go the help of a developer to install it for me from his side, I unfortunately do not know how he managed to get this right.

    I am so sorry I am unable to help you. Good luck though 😉

    Plugin Author YITHEMES

    (@yithemes)

    Hi there,

    try this:

    1) open wp-config.php and set this instruction:
    “define(‘WP_DEBUG’, false);”

    to this
    define(‘WP_DEBUG’, true);

    2) install again the plugin like you did before and write to us what error it’ s printed in the page.

    YITHemes

    Hi,

    I confirm the issue. Tried to install the plugin via WordPress multisite 4.5.1 dashboard with the same error as the original ticket described.

    I’ve installed the plugin manually then, which seems to be working fine.

    I have WP debug turned on and got no PHP error or warning.

    I’ve tested on VVV WordPress local installation.

    Regards,

    Oliver

    Plugin Author YITHEMES

    (@yithemes)

    Hi Oliver,

    so if the messahe is

    Could not create directory. yith-essential-kit-for-woocommerce-1/modules/yith-woocommerce-authorizenet-payment-gateway/assets/images/icons/credit-cards

    try to contact your hosting and ask about directory permissions.

    YITHemes

    Hi,

    Sorry, but that’s not the case. Please note that I am a theme developer and have everything set up correctly.

    The only thing that breaks during installation is your plugin. Also, now I’ve noticed the same goes about plugin upgrade. I get the “An error occurred while updating YITH Essential Kit for WooCommerce #1: Could not create directory. yith-essential-kit-for-woocommerce-1/modules/yith-woocommerce-authorizenet-payment-gateway/assets/images/icons/credit-cards” error again.

    I can assure you this has nothing to do with folder permissions setup as other plugins can create folders and files without any issue. They all actually use wp-content/uploads directory. Does this error mean that you are trying to create a new directory in the plugin folder itself during the installation/upgrade? If so, why don’t you use uploads directory instead?

    Please, try it on your own.

    Regards,

    Oliver

    Plugin Author YITHEMES

    (@yithemes)

    Dear Oliver,

    that directory is not created by the code, is a plugin folder that WordPress try to create when do the plugin installation.

    Install the plugin via ftp or read this wordpress forum page, where there are some solutions provided from people have your same issue with others plugins.

    YITHemes

    Hi,

    I’ve installed the plugin via FTP, that’s not an issue for me. I just don’t understand why everything else works except your plugin. I know WP filesystem, use is myself in my projects which work without any issue on the same server, on the same WordPress multisite installation where I try to install your plugin. Anyway, thanks for help.

    Regards,

    Oliver

    Plugin Author YITHEMES

    (@yithemes)

    Thank you for your feedback

    YITHemes

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘Can't install’ is closed to new replies.